v1.0.0
OpenAPI 3.1.0

List automation actions

US region

Client Libraries

List automation actions

Returns the operations in an automation workflow. Each object in the response represents an action or 'tile' in the automation builder.

This endpoint returns up to 10 actions at a time. If there is another page of results, the response will include a next string. Pass this string as the start parameter to get the next page of results.

Path Parameters
  • campaign_id
    Type: integer
    required

    The ID of the automation that you want to trigger or return information about.

Query Parameters
  • start
    Type: string

    The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.

Responses
  • application/json
  • 400

    The campaignID or actionID is invalid.

  • 404

    The automation and/or action do not exist.

  • application/json
Request Example for get/v1/campaigns/{campaign_id}/actions
curl 'https://api.customer.io/v1/campaigns/3/actions?start=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "actions": [
    {
      "id": 96,
      "broadcast_id": 2,
      "deduplicate_id": "15:1492548073",
      "name": "Opening Message",
      "layout": "string",
      "created": 1552341937,
      "updated": 1552341937,
      "body": "string",
      "type": "email",
      "sending_state": "automatic",
      "language": "fr",
      "from": "sentFrom@example.com",
      "from_id": 1,
      "reply_to": "replyto@example.com",
      "reply_to_id": 38,
      "preprocessor": "premailer",
      "recipient": "{{customer.email}}",
      "subject": "Did you get that thing I sent you?",
      "cc": "string",
      "bcc": "string",
      "fake_bcc": true,
      "preheader_text": "string",
      "body_amp": "string",
      "campaign_id": 5,
      "parent_action_id": 1,
      "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
    }
  ],
  "next": "string"
}